
Summary:		Promiscuous mode IP Accounting package
Name:			pmacct
Version:		1.5.3
Release:		5.1
License:		GPL
Group:			Productivity/Networking/Diagnostic
Source0:		%{name}-%{version}.tar.bz2
Source1:		nfacctd.init
Source2:		pmacctd.init
Source3:		sfacctd.init
Source4:		nfacctd.init.rh
Source5:		pmacctd.init.rh
Source6:		sfacctd.init.rh
URL:			http://www.pmacct.net/
BuildRoot:		%{_tmppath}/%{name}-root
Requires:		postgresql-libs sqlite
BuildRequires:		mysql-devel postgresql-devel libstdc++-devel libGeoIP-devel

%if %{?suse_version:1}0
Requires:		mysql-shared
%if %suse_version > 920
BuildRequires:		sqlite-devel
%endif
%else
BuildRequires:		sqlite-devel
%endif
%if %{?fedora_version:1}0
BuildRequires:		kernel
%endif
%if %{?mandriva_version:1}0
Requires:		libpcap0 mysql-shared
BuildRequires:		libpcap0-devel
%else
Requires:		libpcap
BuildRequires:		libpcap
%endif
%if 0%{?suse_version} >= 1030
BuildRequires:		libpcap-devel
%endif
%if 0%{?centos_version} || 0%{?rhel_version}
Requires:		mysql
BuildRequires:		libpcap-devel
%endif

%description
pmacct is a small set of passive network monitoring tools to measure, account, classify and aggregate IPv4 and IPv6 traffic; a pluggable and flexible architecture allows to store the collected traffic data into memory tables or SQL (MySQL, SQLite, PostgreSQL) databases. pmacct supports fully customizable historical data breakdown, flow sampling, filtering and tagging, recovery actions, and triggers. Libpcap, sFlow v2/v4/v5 and NetFlow v1/v5/v7/v8/v9 are supported, both unicast and multicast. Also, a client program makes it easy to export data to tools like RRDtool, GNUPlot, Net-SNMP, MRTG, and Cacti.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
export AM_CFLAGS="$RPM_OPT_FLAGS"
PMACCT_BASE_CONFIG="
    --prefix=%{_prefix}
    --bindir=%{_bindir}
    --sbindir=%{_sbindir}
    --sysconfdir=%{_sysconfdir}/%{name}
    --enable-64bit
    --enable-mysql
    --enable-pgsql
    --enable-ipv6
    --enable-ulog
    --enable-threads
%if %{?suse_version:1}0
%if %{suse_version} > 920
    --enable-sqlite3
%endif
    --with-pgsql-includes=/usr/include/pgsql/
%endif
%if %{?mandriva_version:1}0
    --with-pgsql-includes=/usr/include/pgsql/
    --with-pcap-includes=/usr/include/
%endif
%if 0%{?centos_version} || 0%{?rhel_version}
	--with-mysql-libs=%{_libdir}/mysql
%endif
"

./configure $PMACCT_BASE_CONFIG
make
chmod -x docs/* examples/amqp/* examples/* sql/*
chmod +x examples/amqp examples/kafka

%install
%{__rm} -rf %{buildroot}
%makeinstall

%if 0%{?suse_version} || 0%{?mandriva_version}
%{__install} -Dpm555 %{SOURCE1} %{buildroot}/%{_sysconfdir}/init.d/nfacctd
%{__install} -Dpm555 %{SOURCE2} %{buildroot}/%{_sysconfdir}/init.d/pmacctd
%{__install} -Dpm555 %{SOURCE3} %{buildroot}/%{_sysconfdir}/init.d/sfacctd
ln -sf ../../etc/init.d/nfacctd $RPM_BUILD_ROOT/usr/sbin/rcnfacctd
ln -sf ../../etc/init.d/pmacctd $RPM_BUILD_ROOT/usr/sbin/rcpmacctd
ln -sf ../../etc/init.d/sfacctd $RPM_BUILD_ROOT/usr/sbin/rcsfacctd
%else
%{__install} -Dpm555 %{SOURCE4} %{buildroot}/%{_sysconfdir}/init.d/nfacctd
%{__install} -Dpm555 %{SOURCE5} %{buildroot}/%{_sysconfdir}/init.d/pmacctd
%{__install} -Dpm555 %{SOURCE6} %{buildroot}/%{_sysconfdir}/init.d/sfacctd
%endif

%{__install} -Dpm555 examples/nfacctd-sql_v2.conf.example %{buildroot}/%{_sysconfdir}/pmacct/nfacctd.conf
%{__install} -Dpm555 examples/pmacctd-sql_v2.conf.example %{buildroot}/%{_sysconfdir}/pmacct/pmacctd.conf
touch %{buildroot}/%{_sysconfdir}/pmacct/sfacctd.conf
strip %{buildroot}%{_bindir}/pmacct
strip %{buildroot}%{_bindir}/pmmyplay
strip %{buildroot}%{_bindir}/pmpgplay
strip %{buildroot}%{_sbindir}/nfacctd
strip %{buildroot}%{_sbindir}/pmacctd
strip %{buildroot}%{_sbindir}/sfacctd

%clean
%{__rm} -rf %{buildroot}

%postun
%if 0%{?suse_version}
%insserv_cleanup
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal
%endif

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog CONFIG-KEYS COPYING FAQS INSTALL TOOLS UPGRADE docs examples sql
%defattr(-, root, root, 0755)
%{_bindir}/*
%{_sbindir}/*
%{_sysconfdir}/init.d/*
%dir %{_sysconfdir}/pmacct
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/pmacct/nfacctd.conf
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/pmacct/pmacctd.conf
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/pmacct/sfacctd.conf

%changelog
* Tue Feb 16 2016 cs@linux-administrator.com
- update to release 1.5.3
* Thu Sep 17 2015 cs@linux-administrator.com
- update to release 1.5.2
* Thu Jul 30 2015 cs@linux-administrator.com
- update to release 1.5.1
* Fri Oct 17 2014 cs@linux-administrator.com
- update to release 1.5.0
* Tue Jan 15 2013 cs@linux-administrator.com
- update to release 0.14.2
* Sun Nov 25 2012 cs@linux-administrator.com
- update to release 0.14.1
* Sat May 12 2012 cs@linux-administrator.com
- update to release 0.14.0
